Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.serializer
Interface Serializer<T>

Type Parameters:
  `T` -

    public interface Serializer<T>

Provides a facility for serializing objects of type to an `OutputStream`.

Serializers are stateful, but must not buffer the output since other producers may write to the output between calls to `serialize(Object)`.

Method Summary
`void` | `close()` Close the underlying output stream and clear up any resources.
`void` | `open(OutputStream out)` Prepare the serializer for writing.
`void` | `serialize(T t)` Serialize `t` to the underlying output stream.

Method Detail

### open

    void open(OutputStream out)
              throws IOException

  Prepare the serializer for writing.

  Throws:
    `IOException`

### serialize

    void serialize(T t)
                   throws IOException

  Serialize `t` to the underlying output stream.

  Throws:
    `IOException`

### close

    void close()
               throws IOException

  Close the underlying output stream and clear up any resources.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation